System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.IHttpHandlerFactory

The interface establishes the contract that ASP.NET uses to process incoming HTTP Web requests with custom HTTP handlers. The class produces an instance of an implementation for handling Web service requests.

Dynamically manufactures Web service handler instances, whose type or types implement the interface.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.IHttpHandler `` `` `` `` To be added

  Returns an instance.

  An instance.

  An that provides references to intrinsic server objects (For example, , , , and ) used to service HTTP requests. The HTTP data transfer method (GET or POST) that the client uses. The raw URL of the requested resource. The file-system path of the requested resource. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  There are no resources associated with a handler instance that the class needs to release.

  Releases the instance.

  The instance to release. 1.0.5000.0 2.0.0.0